package com.vendor.loader.ui;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.Activator;
import com.vendor.loader.ui.ControlFactory;
import org.eclipse.jface.dialogs.IDialogSettings;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Layout;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.forms.FormDialog;
import org.eclipse.ui.forms.IManagedForm;

public class AbstractDialog extends FormDialog {
  protected static final boolean DEFAULT_FORM_MODE = true;
  
  protected boolean formMode;
  
  public AbstractDialog(Shell parentShell, boolean isForm) {
    super(parentShell);
    this.formMode = isForm;
  }
  
  protected Control createDialogArea(Composite parent) {
    if (this.formMode)
      return super.createDialogArea(parent); 
    Composite composite = new Composite(parent, 0);
    GridLayout layout = new GridLayout();
    layout.marginHeight = convertVerticalDLUsToPixels(7);
    layout.marginWidth = convertHorizontalDLUsToPixels(7);
    layout.verticalSpacing = convertVerticalDLUsToPixels(4);
    layout.horizontalSpacing = convertHorizontalDLUsToPixels(4);
    composite.setLayout((Layout)layout);
    composite.setLayoutData(new GridData(1808));
    applyDialogFont((Control)composite);
    layout.numColumns = 3;
    createControls(composite);
    return (Control)composite;
  }
  
  protected IDialogSettings getDialogBoundsSettings() {
    String sectionName = getClass().getName() + ".dialogBounds";
    IDialogSettings dialogSettings = Activator.getDefault().getDialogSettings();
    IDialogSettings boundsSettings = dialogSettings.getSection(sectionName);
    if (boundsSettings == null)
      boundsSettings = dialogSettings.addNewSection(sectionName); 
    return boundsSettings;
  }
  
  protected void createFormContent(IManagedForm mform) {
    ControlFactory.setFormToolkit(mform.getToolkit());
    mform.getForm().getBody().setLayout((Layout)new GridLayout());
    createControls(mform.getForm().getBody());
    mform.getForm().setBackgroundImage(null);
    mform.getToolkit().decorateFormHeading(mform.getForm().getForm());
  }
  
  protected void createControls(Composite body) {}
}
